Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface GradleTask

    org.gradle.tooling.model.GradleTask
      org.gradle.tooling.model.Task

All Superinterfaces:
  Task

    public interface GradleTask
    extends Task

Represents a task which is executable by Gradle.

Since:
  1.0-milestone-5

Method Summary
`GradleProject` | `getProject()` Returns the Gradle project this task is defined in.

Methods inherited from interface Task
getDescription, getName, getPath, getProject

Method Detail

### getProject

    public GradleProject getProject()

  Returns the Gradle project this task is defined in.
  Returns:
    The element.

Gradle API 1.10